Loading...
Searching...
No Matches
caf::detail::is_primitive< T > Struct Template Reference

Checks whether T is primitive, i.e., either an arithmetic type or convertible to one of STL's string types. More...

`#include <type_traits.hpp>`

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<class T>
struct caf::detail::is_primitive< T >

Checks whether T is primitive, i.e., either an arithmetic type or convertible to one of STL's string types.

## Member Data Documentation

## value

template<class T>

bool caf::detail::is_primitive< T >::value

static constexpr

Initial value:
= std::is_arithmetic<T>::value
|| std::is_convertible<T, std::string>::value
|| std::is_convertible<T, std::u16string>::value
|| std::is_convertible<T, std::u32string>::value
|| std::is_convertible<T, atom_value>::value

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_traits.hpp